# UniTAP.dev.ports.modules.link.hdmi.arc_rx

class ArcLoopbackAudioSource(enum.IntEnum):

Class `ArcLoopbackAudioSource` contains all possible variants of ARC loopback audio source type.

Unknown = <ArcLoopbackAudioSource.Unknown: -1>
TPG = <ArcLoopbackAudioSource.TPG: 0>
HDMI = <ArcLoopbackAudioSource.HDMI: 1>
DVI = <ArcLoopbackAudioSource.DVI: 2>
DP = <ArcLoopbackAudioSource.DP: 3>
SPDIF = <ArcLoopbackAudioSource.SPDIF: 4>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class ArcRx:

Class `ArcRx` contains information about caps and states of Audio return channel.

- Support ARC `supported`.
- Loopback support TGP `loopback_supported_tpg`.
- Loopback support HDMI `loopback_supported_hdmi`.
- Loopback support DVI `loopback_supported_dvi`.
- Loopback support DP `loopback_supported_dp`.
- Loopback support SPDIF `loopback_supported_spdif`.
- Current state (enabled/disabled) - `enabled`.
- Control of ARC Source `arc_source`.
- Control of single mode `single_mode`.

ArcRx(port_io: UniTAP.libs.lib_tsi.tsi_io.PortIO)
supported: bool
loopback_supported_tpg: bool
loopback_supported_hdmi: bool
loopback_supported_dvi: bool
loopback_supported_dp: bool
loopback_supported_spdif: bool
enabled: bool
arc_source: ArcLoopbackAudioSource
single_mode: bool